Subject: bug#22214: 25.0.50; lock up with gui dialogs and clipmon-mode

From: Joseph Mingrone <[email-masked]>
Date: Sun, 20 Dec 2015 20:45:56 -0400

Brian Burns <[email-masked]> writes:

>> I think there is indeed a problem in clipmon: it calls
> x-get-selection-value
>> from a timer that runs every 2 sec. But if the call times out, and the
> value of
>> x-selection-timeout is more than 2 sec (the default is 5, I think), then
> this
>> will indeed wedge Emacs cold, for obvious reasons. In addition, the
> function
>> that waits for the timeout to expire also runs timers, which probably
>> exacerbates the problem.

> Hi, clipmon author here - this seems to be a problem on Linux as the Windows
> build (25.0.50.1) works okay on Windows 8.1, but I read that
> `x-get-selection-value' is obsolete in Emacs 25, and was changed to
> `gui-get-primary-selection' -
> http://stackoverflow.com/questions/28403647/emacs-25-yank-from-x-windows-primary-clipboard-buffer-with-keyboard
> .

> Does anyone know what might have changed in this function? If not I'll
> check git
> for any changes, and then I'll setup a Linux VM then I can test it out and
> do
> some debugging.

> Also tracking the issue here - https://github.com/bburns/clipmon/issues/3

Eli and Brian,

The value of x-selection-timeout was indeed 5000 milliseconds.  I
tried changing it to 0 and 500 milliseconds with no change.

The results of the simple test were the same on 24.5.1.  I'm working
on attaching the debugger, so hopefully more information will follow
soon.

Joseph